//
//  PMSecretHintsAlert.swift
//  PhoneManager
//
//  Created by edy on 2025/5/23.
//

import UIKit

class PMSecretHintsAlert: UIViewController {

    var callblock:((Int)->Void) = { idx in}
    
    override func viewDidLoad() {
        super.viewDidLoad()
    }

    @IBAction func deleteActions(_ sender: Any) {
        callblock(1)
    }
    
    @IBAction func cancelActions(_ sender: Any) {
        callblock(0)
    }
    
    func show(_ complate:@escaping((Int)->Void)) -> Void {
        self.callblock = complate
        self.modalPresentationStyle = .overFullScreen
        UIViewController.topMostViewController()?.present(self, animated: true)
    }
    
}
